clear
cscript seqlogitdecomp adofiles seqlogitdecomp

    use nlsw88, clear
    gen ed = cond(grade< 12, 1, ///
             cond(grade==12, 2, ///
             cond(grade<16,3,4))) if grade < .
    gen byr = (1988-age-1950)/10
    gen white = race == 1 if race < .

    seqlogit ed byr south,                   ///   
             ofinterest(white) over(byr)     ///
             tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
             or levels(1=6, 2=12, 3=14, 4= 16)

    seqlogitdecomp,                                     ///
             overat(byr -.5, byr 0, byr .4)             ///
             subtitle("1945" "1950" "1954")             ///
             eqlabel(`""finish" "high school""'         ///
                     `""high school v" "some college""' ///
                     `""some college v" "college""')    ///
             xline(0) yline(0)  certify


tempname T_resultset 
mat `T_resultset' = J(18,15,0)
mat `T_resultset'[1,1] =  .4193404614925385
mat `T_resultset'[1,2] =  .7290552854537964
mat `T_resultset'[1,3] =                -.5
mat `T_resultset'[1,4] = -.3645276427268982
mat `T_resultset'[1,5] =                  0
mat `T_resultset'[1,6] =                  0
mat `T_resultset'[1,7] =  .2087058275938034
mat `T_resultset'[1,8] =                  0
mat `T_resultset'[1,9] =                  0
mat `T_resultset'[1,10] =  .4314591884613037
mat `T_resultset'[1,11] =                  1
mat `T_resultset'[1,12] =                  0
mat `T_resultset'[1,13] =                  0
mat `T_resultset'[1,14] =                 -3
mat `T_resultset'[1,15] =                  1
mat `T_resultset'[2,1] =  .4193404614925385
mat `T_resultset'[2,2] =  .7290552854537964
mat `T_resultset'[2,3] =                -.5
mat `T_resultset'[2,4] = -.3645276427268982
mat `T_resultset'[2,5] =                  0
mat `T_resultset'[2,6] =                  0
mat `T_resultset'[2,7] =                  0
mat `T_resultset'[2,8] =                  0
mat `T_resultset'[2,9] =                  0
mat `T_resultset'[2,10] =  .4314591884613037
mat `T_resultset'[2,11] =                  1
mat `T_resultset'[2,12] =                  1
mat `T_resultset'[2,13] =                  0
mat `T_resultset'[2,14] =                 -3
mat `T_resultset'[2,15] =                  1
mat `T_resultset'[3,1] =  .4193404614925385
mat `T_resultset'[3,2] =  .7290552854537964
mat `T_resultset'[3,3] =                  0
mat `T_resultset'[3,4] =                  0
mat `T_resultset'[3,5] =                  0
mat `T_resultset'[3,6] =                  0
mat `T_resultset'[3,7] =  .2186580896377564
mat `T_resultset'[3,8] =                  0
mat `T_resultset'[3,9] =                  0
mat `T_resultset'[3,10] =  .2932548522949219
mat `T_resultset'[3,11] =                  2
mat `T_resultset'[3,12] =                  0
mat `T_resultset'[3,13] =                  0
mat `T_resultset'[3,14] =                 -3
mat `T_resultset'[3,15] =                  2
mat `T_resultset'[4,1] =  .4193404614925385
mat `T_resultset'[4,2] =  .7290552854537964
mat `T_resultset'[4,3] =                  0
mat `T_resultset'[4,4] =                  0
mat `T_resultset'[4,5] =                  0
mat `T_resultset'[4,6] =                  0
mat `T_resultset'[4,7] =                  0
mat `T_resultset'[4,8] =                  0
mat `T_resultset'[4,9] =                  0
mat `T_resultset'[4,10] =  .2932548522949219
mat `T_resultset'[4,11] =                  2
mat `T_resultset'[4,12] =                  1
mat `T_resultset'[4,13] =                  0
mat `T_resultset'[4,14] =                 -3
mat `T_resultset'[4,15] =                  2
mat `T_resultset'[5,1] =  .4193404614925385
mat `T_resultset'[5,2] =  .7290552854537964
mat `T_resultset'[5,3] =  .4000000059604645
mat `T_resultset'[5,4] =  .2916221022605896
mat `T_resultset'[5,5] =                  0
mat `T_resultset'[5,6] =                  0
mat `T_resultset'[5,7] =  .2260989248752594
mat `T_resultset'[5,8] =                  0
mat `T_resultset'[5,9] =                  0
mat `T_resultset'[5,10] =   .182691365480423
mat `T_resultset'[5,11] =                  3
mat `T_resultset'[5,12] =                  0
mat `T_resultset'[5,13] =                  0
mat `T_resultset'[5,14] =                 -3
mat `T_resultset'[5,15] =                  3
mat `T_resultset'[6,1] =  .4193404614925385
mat `T_resultset'[6,2] =  .7290552854537964
mat `T_resultset'[6,3] =  .4000000059604645
mat `T_resultset'[6,4] =  .2916221022605896
mat `T_resultset'[6,5] =                  0
mat `T_resultset'[6,6] =                  0
mat `T_resultset'[6,7] =                  0
mat `T_resultset'[6,8] =                  0
mat `T_resultset'[6,9] =                  0
mat `T_resultset'[6,10] =   .182691365480423
mat `T_resultset'[6,11] =                  3
mat `T_resultset'[6,12] =                  1
mat `T_resultset'[6,13] =                  0
mat `T_resultset'[6,14] =                 -3
mat `T_resultset'[6,15] =                  3
mat `T_resultset'[7,1] =  .4193404614925385
mat `T_resultset'[7,2] =  .7290552854537964
mat `T_resultset'[7,3] =                -.5
mat `T_resultset'[7,4] = -.3645276427268982
mat `T_resultset'[7,5] =                  0
mat `T_resultset'[7,6] =  .6443033218383789
mat `T_resultset'[7,7] =                  0
mat `T_resultset'[7,8] =                  0
mat `T_resultset'[7,9] =  .1313889622688294
mat `T_resultset'[7,10] =                  0
mat `T_resultset'[7,11] =                  1
mat `T_resultset'[7,12] =                  0
mat `T_resultset'[7,13] =                  0
mat `T_resultset'[7,14] =                 -2
mat `T_resultset'[7,15] =                  4
mat `T_resultset'[8,1] =  .4193404614925385
mat `T_resultset'[8,2] =  .7290552854537964
mat `T_resultset'[8,3] =                -.5
mat `T_resultset'[8,4] = -.3645276427268982
mat `T_resultset'[8,5] =                  0
mat `T_resultset'[8,6] =                  0
mat `T_resultset'[8,7] =                  0
mat `T_resultset'[8,8] =                  0
mat `T_resultset'[8,9] =  .1313889622688294
mat `T_resultset'[8,10] =                  0
mat `T_resultset'[8,11] =                  1
mat `T_resultset'[8,12] =                  1
mat `T_resultset'[8,13] =                  0
mat `T_resultset'[8,14] =                 -2
mat `T_resultset'[8,15] =                  4
mat `T_resultset'[9,1] =  .4193404614925385
mat `T_resultset'[9,2] =  .7290552854537964
mat `T_resultset'[9,3] =                  0
mat `T_resultset'[9,4] =                  0
mat `T_resultset'[9,5] =                  0
mat `T_resultset'[9,6] =  .6636718511581421
mat `T_resultset'[9,7] =                  0
mat `T_resultset'[9,8] =                  0
mat `T_resultset'[9,9] =  .0868792086839676
mat `T_resultset'[9,10] =                  0
mat `T_resultset'[9,11] =                  2
mat `T_resultset'[9,12] =                  0
mat `T_resultset'[9,13] =                  0
mat `T_resultset'[9,14] =                 -2
mat `T_resultset'[9,15] =                  5
mat `T_resultset'[10,1] =  .4193404614925385
mat `T_resultset'[10,2] =  .7290552854537964
mat `T_resultset'[10,3] =                  0
mat `T_resultset'[10,4] =                  0
mat `T_resultset'[10,5] =                  0
mat `T_resultset'[10,6] =                  0
mat `T_resultset'[10,7] =                  0
mat `T_resultset'[10,8] =                  0
mat `T_resultset'[10,9] =  .0868792086839676
mat `T_resultset'[10,10] =                  0
mat `T_resultset'[10,11] =                  2
mat `T_resultset'[10,12] =                  1
mat `T_resultset'[10,13] =                  0
mat `T_resultset'[10,14] =                 -2
mat `T_resultset'[10,15] =                  5
mat `T_resultset'[11,1] =  .4193404614925385
mat `T_resultset'[11,2] =  .7290552854537964
mat `T_resultset'[11,3] =  .4000000059604645
mat `T_resultset'[11,4] =  .2916221022605896
mat `T_resultset'[11,5] =                  0
mat `T_resultset'[11,6] =  .6768753528594971
mat `T_resultset'[11,7] =                  0
mat `T_resultset'[11,8] =                  0
mat `T_resultset'[11,9] =  .0512713976204395
mat `T_resultset'[11,10] =                  0
mat `T_resultset'[11,11] =                  3
mat `T_resultset'[11,12] =                  0
mat `T_resultset'[11,13] =                  0
mat `T_resultset'[11,14] =                 -2
mat `T_resultset'[11,15] =                  6
mat `T_resultset'[12,1] =  .4193404614925385
mat `T_resultset'[12,2] =  .7290552854537964
mat `T_resultset'[12,3] =  .4000000059604645
mat `T_resultset'[12,4] =  .2916221022605896
mat `T_resultset'[12,5] =                  0
mat `T_resultset'[12,6] =                  0
mat `T_resultset'[12,7] =                  0
mat `T_resultset'[12,8] =                  0
mat `T_resultset'[12,9] =  .0512713976204395
mat `T_resultset'[12,10] =                  0
mat `T_resultset'[12,11] =                  3
mat `T_resultset'[12,12] =                  1
mat `T_resultset'[12,13] =                  0
mat `T_resultset'[12,14] =                 -2
mat `T_resultset'[12,15] =                  6
mat `T_resultset'[13,1] =  .4193404614925385
mat `T_resultset'[13,2] =  .7290552854537964
mat `T_resultset'[13,3] =                -.5
mat `T_resultset'[13,4] = -.3645276427268982
mat `T_resultset'[13,5] =  1.001455783843994
mat `T_resultset'[13,6] =                  0
mat `T_resultset'[13,7] =                  0
mat `T_resultset'[13,8] =  1.328325867652893
mat `T_resultset'[13,9] =                  0
mat `T_resultset'[13,10] =                  0
mat `T_resultset'[13,11] =                  1
mat `T_resultset'[13,12] =                  0
mat `T_resultset'[13,13] =                  0
mat `T_resultset'[13,14] =                 -1
mat `T_resultset'[13,15] =                  7
mat `T_resultset'[14,1] =  .4193404614925385
mat `T_resultset'[14,2] =  .7290552854537964
mat `T_resultset'[14,3] =                -.5
mat `T_resultset'[14,4] = -.3645276427268982
mat `T_resultset'[14,5] =                  0
mat `T_resultset'[14,6] =                  0
mat `T_resultset'[14,7] =                  0
mat `T_resultset'[14,8] =  1.328325867652893
mat `T_resultset'[14,9] =                  0
mat `T_resultset'[14,10] =                  0
mat `T_resultset'[14,11] =                  1
mat `T_resultset'[14,12] =                  1
mat `T_resultset'[14,13] =                  0
mat `T_resultset'[14,14] =                 -1
mat `T_resultset'[14,15] =                  7
mat `T_resultset'[15,1] =  .4193404614925385
mat `T_resultset'[15,2] =  .7290552854537964
mat `T_resultset'[15,3] =                  0
mat `T_resultset'[15,4] =                  0
mat `T_resultset'[15,5] =  .8669202923774719
mat `T_resultset'[15,6] =                  0
mat `T_resultset'[15,7] =                  0
mat `T_resultset'[15,8] =  .7785953283309937
mat `T_resultset'[15,9] =                  0
mat `T_resultset'[15,10] =                  0
mat `T_resultset'[15,11] =                  2
mat `T_resultset'[15,12] =                  0
mat `T_resultset'[15,13] =                  0
mat `T_resultset'[15,14] =                 -1
mat `T_resultset'[15,15] =                  8
mat `T_resultset'[16,1] =  .4193404614925385
mat `T_resultset'[16,2] =  .7290552854537964
mat `T_resultset'[16,3] =                  0
mat `T_resultset'[16,4] =                  0
mat `T_resultset'[16,5] =                  0
mat `T_resultset'[16,6] =                  0
mat `T_resultset'[16,7] =                  0
mat `T_resultset'[16,8] =  .7785953283309937
mat `T_resultset'[16,9] =                  0
mat `T_resultset'[16,10] =                  0
mat `T_resultset'[16,11] =                  2
mat `T_resultset'[16,12] =                  1
mat `T_resultset'[16,13] =                  0
mat `T_resultset'[16,14] =                 -1
mat `T_resultset'[16,15] =                  8
mat `T_resultset'[17,1] =  .4193404614925385
mat `T_resultset'[17,2] =  .7290552854537964
mat `T_resultset'[17,3] =  .4000000059604645
mat `T_resultset'[17,4] =  .2916221022605896
mat `T_resultset'[17,5] =  .7668647170066834
mat `T_resultset'[17,6] =                  0
mat `T_resultset'[17,7] =                  0
mat `T_resultset'[17,8] =  .3388108313083649
mat `T_resultset'[17,9] =                  0
mat `T_resultset'[17,10] =                  0
mat `T_resultset'[17,11] =                  3
mat `T_resultset'[17,12] =                  0
mat `T_resultset'[17,13] =                  0
mat `T_resultset'[17,14] =                 -1
mat `T_resultset'[17,15] =                  9
mat `T_resultset'[18,1] =  .4193404614925385
mat `T_resultset'[18,2] =  .7290552854537964
mat `T_resultset'[18,3] =  .4000000059604645
mat `T_resultset'[18,4] =  .2916221022605896
mat `T_resultset'[18,5] =                  0
mat `T_resultset'[18,6] =                  0
mat `T_resultset'[18,7] =                  0
mat `T_resultset'[18,8] =  .3388108313083649
mat `T_resultset'[18,9] =                  0
mat `T_resultset'[18,10] =                  0
mat `T_resultset'[18,11] =                  3
mat `T_resultset'[18,12] =                  1
mat `T_resultset'[18,13] =                  0
mat `T_resultset'[18,14] =                 -1
mat `T_resultset'[18,15] =                  9
tempname C_resultset
matrix `C_resultset' = r(resultset)
assert mreldif( `C_resultset' , `T_resultset' ) < 1E-8
_assert_streq `"`: rowfullnames `C_resultset''"' `"r1 r2 r3 r4 r5 r6 r7 r8 r9 r10 r11 r12 r13 r14 r15 r16 r17 r18"'
_assert_streq `"`: colfullnames `C_resultset''"' `"south white byr _white_X_byr w1 w2 w3 lodds1 lodds2 lodds3 group first zero tr byby"'
mat drop `C_resultset' `T_resultset'

exit
